const АДРЕС_АРХИВА = "https://git.opengamestudio.org/kornerr/APXuB/raw/branch/master/MAOH.zip";
const КЛЮЧЕВОЙ_МОДУЛЬ = "https://git.opengamestudio.org/MAOH/CYMA/raw/branch/master/0000";


// // // //


УведомитьОЯкобыНаличииПриложения = мир =>
{
    мир.уведомить("приложение присутствует");
};


// // // //


СохранитьМодулиПриложенияИзАрхива = мир =>
{
    console.debug("сохранить модули приложения их архива");
};


// // // //


РазобратьАрхивПриложения = мир =>
{
    var zip = new JSZip();
    zip.loadAsync(мир.архивПриложения).then(function(архив) {
        мир.архивПриложения = архив;
        мир.уведомить("разобрали архив приложения");
    });
};


// // // //


СкачатьАрхивПриложения = мир =>
{

    мир.взять(
        АДРЕС_АРХИВА,
        function(содержимое) {
            мир.архивПриложения = содержимое;
            мир.уведомить("скачали архив приложения");
        },
        function(ошибка) {
            мир.уведомить("не скачали архив приложения");
        },
        true
    );
};


// // // //


ПроверитьНаличиеКлючевогоМодуляПриложения = мир =>
{
    console.debug("проверить наличие ключевого модуля приложения");
    var м = мир.модули.модули[КЛЮЧЕВОЙ_МОДУЛЬ];
    if (м)
    {
        console.debug("приложение есть");
        мир.уведомить("приложение присутствует");
    }
    else
    {
        console.debug("приложения нет");
        мир.уведомить("приложение отсутствует");
    }
};